using System.Collections.Generic;
using XMLParser.Contract;
using XMLParser.Model;

namespace XMLParser.Functions.UmsatzCalculator
{
    public class StrassenUmsatz : IUmsatzCalculator
    {
        public List<KanalObjekt> Kanalobjekte { get => throw new System.NotImplementedException(); set => throw new System.NotImplementedException(); }

        public void Calculate(IProtokollWriter protokollWriter, List<KanalObjekt> objekte)
        {
            
            Dictionary<ECalculatedResult,decimal> d = XMLParser.Functions.Calculate.CalculateStreet(objekte);
            protokollWriter.WriteEntry(d,objekte);
            protokollWriter.WriteBaried(XMLParser.Functions.Calculate.CalculateWaterBariedAsString(objekte));
        }
    }
}
